curl --request GET \
--url https://api.bridge.xyz/v0/transfers/pending \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/transfers/pending"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/transfers/pending', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridge.xyz/v0/transfers/pending",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bridge.xyz/v0/transfers/pending"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bridge.xyz/v0/transfers/pending")
.header("Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridge.xyz/v0/transfers/pending")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 123,
"data": [
{
"id": "<string>",
"amount": "<string>",
"currency": "usd",
"on_behalf_of": "<string>",
"developer_fee": "<string>",
"source": {
"currency": "brl",
"payment_rail": "ach",
"payment_scheme": "sepa_credit",
"omad": "<string>",
"imad": "<string>",
"trace_number": "<string>",
"bank_beneficiary_name": "<string>",
"bank_beneficiary_address": "<string>",
"bank_routing_number": "<string>",
"bank_name": "<string>",
"originator_name": "<string>",
"originator_address": "<string>",
"wire_message": "<string>",
"bridge_wallet_id": "<string>",
"sender_name": "<string>",
"sender_bank_routing_number": "<string>",
"end_to_end_id": "<string>",
"description": "<string>",
"tracking_number": "<string>",
"clabe": "<string>",
"account_number": "<string>",
"bank_code": "<string>",
"transaction_id": "<string>",
"co_bank_transfer": {
"sender_data": {
"full_name": "<string>",
"document_type": "cc",
"document_number": "<string>",
"email": "<string>",
"phone_number": "<string>"
}
},
"payment_received_rail": "ach",
"from_address": "<string>"
},
"destination": {
"currency": "brl",
"payment_rail": "ach",
"external_account_id": "<string>",
"bridge_wallet_id": "<string>",
"omad": "<string>",
"imad": "<string>",
"trace_number": "<string>",
"end_to_end_id": "<string>",
"wire_message": "<string>",
"sepa_reference": "<string>",
"swift_reference": "<string>",
"spei_reference": "<string>",
"reference": "<string>",
"charge_bearer": "our",
"ach_reference": "<string>",
"uetr": "<string>",
"blockchain_memo": "<string>",
"deposit_id": "<string>",
"tracking_number": "<string>",
"transaction_id": "<string>",
"sending_institution_name": "<string>",
"amount": "<string>",
"to_address": "<string>"
},
"state": "awaiting_funds",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"client_reference_id": "<string>",
"developer_fee_percent": "<string>",
"source_deposit_instructions": {
"payment_rail": "wire",
"amount": "75.0",
"currency": "usd",
"deposit_message": "BVI7depositmessage",
"bank_name": "Bank name",
"bank_address": "Bank address",
"bank_routing_number": "123456789",
"bank_account_number": "1234567890",
"bank_beneficiary_name": "Bank beneficiary",
"bank_beneficiary_address": "Bank beneficiary address"
},
"receipt": {
"initial_amount": "<string>",
"initial_amount_currency": "<string>",
"developer_fee": "<string>",
"developer_fee_currency": "<string>",
"exchange_fee": "<string>",
"exchange_fee_currency": "<string>",
"subtotal_amount": "<string>",
"subtotal_amount_currency": "<string>",
"developer_exchange_fee": {
"amount": "<string>",
"currency": "<string>"
},
"pre_conversion_subtotal_amount": "<string>",
"pre_conversion_subtotal_amount_currency": "<string>",
"mid_market_rate": "<string>",
"converted_amount": "<string>",
"converted_amount_currency": "<string>",
"remaining_prefunded_balance": "<string>",
"remaining_prefunded_balance_currency": "<string>",
"gas_fee": "<string>",
"gas_fee_currency": "<string>",
"final_amount": "<string>",
"final_amount_currency": "<string>",
"source_tx_hash": "<unknown>",
"destination_tx_hash": "<unknown>",
"exchange_rate": "<unknown>",
"url": "<string>",
"bank_details": {
"sending_routing_number": "<string>",
"ach_description": "<string>",
"ach_trace_id": "<string>",
"wire_message": "<string>",
"imad": "<string>",
"recipient_name": "<string>",
"sending_bic": "<string>",
"sepa_reference": "<string>",
"uetr": "<string>",
"receiving_account_last_four": "<string>",
"receiving_bic": "<string>"
}
},
"return_details": {
"reason": "<string>",
"refund_reference_id": "<string>",
"risk_rejection_reason": "Exceeds Transaction Limits"
},
"return_instructions": {
"address": "<string>",
"memo": "<string>"
},
"exchange_details": {
"fixed_rate": "<string>",
"estimated_market_rate": "<string>",
"traded_market_rate": "<string>",
"trade_at_market": true,
"updated_at": "2023-11-07T05:31:56Z"
},
"template_id": "<string>",
"first_confirmed_at": "2023-11-07T05:31:56Z",
"swift_tracking": {
"uetr": "<string>",
"tracking_status": "in_progress",
"value_date": "2023-12-25",
"last_updated_at": "2023-11-07T05:31:56Z",
"instruction": {
"amount": {
"amount": "<string>",
"currency": "<string>"
},
"charge_bearer": "our",
"message_definition_identifier": "<string>",
"debtor": {
"name": "<string>",
"country": "<string>"
},
"debtor_agent": {
"name": "<string>",
"bic": "<string>"
},
"creditor": {
"country": "<string>"
},
"creditor_agent": {
"name": "<string>",
"bic": "<string>"
}
},
"originating_bank": {
"name": "<string>",
"bic": "<string>",
"transaction_reference": "<string>",
"clearing_system": "<string>",
"clearing_system_identification": "<string>",
"charges": {
"amount": "<string>",
"currency": "<string>"
},
"deductions": {
"beneficiary": {
"amount": "<string>",
"currency": "<string>"
},
"credit": {
"amount": "<string>",
"currency": "<string>"
},
"full_pay_upfront": {
"amount": "<string>",
"currency": "<string>"
}
},
"fx": {
"source_currency": "<string>",
"target_currency": "<string>",
"exchange_rate": "<string>",
"debit_amount": "<string>",
"credit_amount": "<string>"
}
},
"current_tracking": {
"leg_type": "serial",
"status_code": "<string>",
"reason_code": "<string>",
"status_description": "<string>",
"reason_description": "<string>",
"reporting_bank": {
"name": "<string>",
"bic": "<string>"
},
"forwarded_agent": {
"name": "<string>",
"bic": "<string>"
},
"transaction_reference": "<string>",
"settlement_amount": {
"amount": "<string>",
"currency": "<string>"
},
"deduct_amount": {
"amount": "<string>",
"currency": "<string>"
},
"fx": {
"source_currency": "<string>",
"target_currency": "<string>",
"exchange_rate": "<string>"
},
"status_updated_at": "2023-11-07T05:31:56Z"
},
"tracking_history": [
{
"leg_type": "serial",
"status_code": "<string>",
"reason_code": "<string>",
"status_description": "<string>",
"reason_description": "<string>",
"reporting_bank": {
"name": "<string>",
"bic": "<string>"
},
"forwarded_agent": {
"name": "<string>",
"bic": "<string>"
},
"transaction_reference": "<string>",
"settlement_amount": {
"amount": "<string>",
"currency": "<string>"
},
"deduct_amount": {
"amount": "<string>",
"currency": "<string>"
},
"fx": {
"source_currency": "<string>",
"target_currency": "<string>",
"exchange_rate": "<string>"
},
"status_updated_at": "2023-11-07T05:31:56Z"
}
],
"amount_delivered": {
"amount": "<string>",
"currency": "<string>"
},
"charges": [
{
"amount": "<string>",
"currency": "<string>"
}
],
"fx": {
"source_currency": "<string>",
"target_currency": "<string>",
"exchange_rate": "<string>",
"bank": {
"name": "<string>",
"bic": "<string>"
}
}
}
}
]
}List transfers with pending USDT trades
Returns transfers that have a stuck USDT-to-USD trade awaiting execution. Results are sorted by creation time (newest first) and paginated.
Use POST /transfers/{transferID}/execute to force-execute a pending trade at the current market rate.
curl --request GET \
--url https://api.bridge.xyz/v0/transfers/pending \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/transfers/pending"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/transfers/pending', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridge.xyz/v0/transfers/pending",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bridge.xyz/v0/transfers/pending"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bridge.xyz/v0/transfers/pending")
.header("Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridge.xyz/v0/transfers/pending")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 123,
"data": [
{
"id": "<string>",
"amount": "<string>",
"currency": "usd",
"on_behalf_of": "<string>",
"developer_fee": "<string>",
"source": {
"currency": "brl",
"payment_rail": "ach",
"payment_scheme": "sepa_credit",
"omad": "<string>",
"imad": "<string>",
"trace_number": "<string>",
"bank_beneficiary_name": "<string>",
"bank_beneficiary_address": "<string>",
"bank_routing_number": "<string>",
"bank_name": "<string>",
"originator_name": "<string>",
"originator_address": "<string>",
"wire_message": "<string>",
"bridge_wallet_id": "<string>",
"sender_name": "<string>",
"sender_bank_routing_number": "<string>",
"end_to_end_id": "<string>",
"description": "<string>",
"tracking_number": "<string>",
"clabe": "<string>",
"account_number": "<string>",
"bank_code": "<string>",
"transaction_id": "<string>",
"co_bank_transfer": {
"sender_data": {
"full_name": "<string>",
"document_type": "cc",
"document_number": "<string>",
"email": "<string>",
"phone_number": "<string>"
}
},
"payment_received_rail": "ach",
"from_address": "<string>"
},
"destination": {
"currency": "brl",
"payment_rail": "ach",
"external_account_id": "<string>",
"bridge_wallet_id": "<string>",
"omad": "<string>",
"imad": "<string>",
"trace_number": "<string>",
"end_to_end_id": "<string>",
"wire_message": "<string>",
"sepa_reference": "<string>",
"swift_reference": "<string>",
"spei_reference": "<string>",
"reference": "<string>",
"charge_bearer": "our",
"ach_reference": "<string>",
"uetr": "<string>",
"blockchain_memo": "<string>",
"deposit_id": "<string>",
"tracking_number": "<string>",
"transaction_id": "<string>",
"sending_institution_name": "<string>",
"amount": "<string>",
"to_address": "<string>"
},
"state": "awaiting_funds",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"client_reference_id": "<string>",
"developer_fee_percent": "<string>",
"source_deposit_instructions": {
"payment_rail": "wire",
"amount": "75.0",
"currency": "usd",
"deposit_message": "BVI7depositmessage",
"bank_name": "Bank name",
"bank_address": "Bank address",
"bank_routing_number": "123456789",
"bank_account_number": "1234567890",
"bank_beneficiary_name": "Bank beneficiary",
"bank_beneficiary_address": "Bank beneficiary address"
},
"receipt": {
"initial_amount": "<string>",
"initial_amount_currency": "<string>",
"developer_fee": "<string>",
"developer_fee_currency": "<string>",
"exchange_fee": "<string>",
"exchange_fee_currency": "<string>",
"subtotal_amount": "<string>",
"subtotal_amount_currency": "<string>",
"developer_exchange_fee": {
"amount": "<string>",
"currency": "<string>"
},
"pre_conversion_subtotal_amount": "<string>",
"pre_conversion_subtotal_amount_currency": "<string>",
"mid_market_rate": "<string>",
"converted_amount": "<string>",
"converted_amount_currency": "<string>",
"remaining_prefunded_balance": "<string>",
"remaining_prefunded_balance_currency": "<string>",
"gas_fee": "<string>",
"gas_fee_currency": "<string>",
"final_amount": "<string>",
"final_amount_currency": "<string>",
"source_tx_hash": "<unknown>",
"destination_tx_hash": "<unknown>",
"exchange_rate": "<unknown>",
"url": "<string>",
"bank_details": {
"sending_routing_number": "<string>",
"ach_description": "<string>",
"ach_trace_id": "<string>",
"wire_message": "<string>",
"imad": "<string>",
"recipient_name": "<string>",
"sending_bic": "<string>",
"sepa_reference": "<string>",
"uetr": "<string>",
"receiving_account_last_four": "<string>",
"receiving_bic": "<string>"
}
},
"return_details": {
"reason": "<string>",
"refund_reference_id": "<string>",
"risk_rejection_reason": "Exceeds Transaction Limits"
},
"return_instructions": {
"address": "<string>",
"memo": "<string>"
},
"exchange_details": {
"fixed_rate": "<string>",
"estimated_market_rate": "<string>",
"traded_market_rate": "<string>",
"trade_at_market": true,
"updated_at": "2023-11-07T05:31:56Z"
},
"template_id": "<string>",
"first_confirmed_at": "2023-11-07T05:31:56Z",
"swift_tracking": {
"uetr": "<string>",
"tracking_status": "in_progress",
"value_date": "2023-12-25",
"last_updated_at": "2023-11-07T05:31:56Z",
"instruction": {
"amount": {
"amount": "<string>",
"currency": "<string>"
},
"charge_bearer": "our",
"message_definition_identifier": "<string>",
"debtor": {
"name": "<string>",
"country": "<string>"
},
"debtor_agent": {
"name": "<string>",
"bic": "<string>"
},
"creditor": {
"country": "<string>"
},
"creditor_agent": {
"name": "<string>",
"bic": "<string>"
}
},
"originating_bank": {
"name": "<string>",
"bic": "<string>",
"transaction_reference": "<string>",
"clearing_system": "<string>",
"clearing_system_identification": "<string>",
"charges": {
"amount": "<string>",
"currency": "<string>"
},
"deductions": {
"beneficiary": {
"amount": "<string>",
"currency": "<string>"
},
"credit": {
"amount": "<string>",
"currency": "<string>"
},
"full_pay_upfront": {
"amount": "<string>",
"currency": "<string>"
}
},
"fx": {
"source_currency": "<string>",
"target_currency": "<string>",
"exchange_rate": "<string>",
"debit_amount": "<string>",
"credit_amount": "<string>"
}
},
"current_tracking": {
"leg_type": "serial",
"status_code": "<string>",
"reason_code": "<string>",
"status_description": "<string>",
"reason_description": "<string>",
"reporting_bank": {
"name": "<string>",
"bic": "<string>"
},
"forwarded_agent": {
"name": "<string>",
"bic": "<string>"
},
"transaction_reference": "<string>",
"settlement_amount": {
"amount": "<string>",
"currency": "<string>"
},
"deduct_amount": {
"amount": "<string>",
"currency": "<string>"
},
"fx": {
"source_currency": "<string>",
"target_currency": "<string>",
"exchange_rate": "<string>"
},
"status_updated_at": "2023-11-07T05:31:56Z"
},
"tracking_history": [
{
"leg_type": "serial",
"status_code": "<string>",
"reason_code": "<string>",
"status_description": "<string>",
"reason_description": "<string>",
"reporting_bank": {
"name": "<string>",
"bic": "<string>"
},
"forwarded_agent": {
"name": "<string>",
"bic": "<string>"
},
"transaction_reference": "<string>",
"settlement_amount": {
"amount": "<string>",
"currency": "<string>"
},
"deduct_amount": {
"amount": "<string>",
"currency": "<string>"
},
"fx": {
"source_currency": "<string>",
"target_currency": "<string>",
"exchange_rate": "<string>"
},
"status_updated_at": "2023-11-07T05:31:56Z"
}
],
"amount_delivered": {
"amount": "<string>",
"currency": "<string>"
},
"charges": [
{
"amount": "<string>",
"currency": "<string>"
}
],
"fx": {
"source_currency": "<string>",
"target_currency": "<string>",
"exchange_rate": "<string>",
"bank": {
"name": "<string>",
"bic": "<string>"
}
}
}
}
]
}Authorizations
Query Parameters
The number of items to return (min 1, default 10, max 100)
1 <= x <= 100This is a transfer id. If this is specified, the next page that starts with a transfer right AFTER the specified transfer id on the transfer timeline, which is always ordered from the newest to the oldest by creation time, will be returned. This also implies that transfers older than the specified transfer id will be returned (shouldn't be set if ending_before is set)
This is a transfer id. If this is specified, the previous page that ends with a transfer right BEFORE the specified transfer id on the transfer timeline, which is always ordered from the newest to the oldest by creation time, will be returned. This also implies that transfers newer than the specified transfer id will be returned (shouldn't be set if starting_after is set)
Was this page helpful?